All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata
Class IQueryException

    com.sas.iquery.metadata.IQueryException

All Implemented Interfaces:
  com.sas.util.LocalizableToStringInterface, java.io.Serializable

Direct Known Subclasses:
  MetadataException

    @SASScope(value="ALL")
    @SubjectToChange
    public class IQueryException

IQueryException is a temporary superclass to MetadataException. This class is inherited by most, if not all, iquery exceptions. This will likely be changed in a future release.

See Also:
  Serialized Form

Constructor Summary
`IQueryException(java.lang.String msg)` Constructs an `IQueryException` with the specified detail message.
`IQueryException(java.lang.Throwable t, java.lang.String msg)` Constructs an `IQueryException` with the specified target exception and detail message.

Method Summary

Methods inherited from class com.sas.iquery.IQueryServicesException
`getFirstReason, getReasons, getSASLog, getSASLog, hasReasonWithCodes`

Constructor Detail

### IQueryException

    public IQueryException(java.lang.String msg)

  Constructs an `IQueryException` with the specified detail message.

  Parameters:
    `msg` - The detail message.

### IQueryException

    public IQueryException(java.lang.Throwable t,
                           java.lang.String msg)

  Constructs an `IQueryException` with the specified target exception and detail message.

  Parameters:
    `t` - The target exception (the exception that caused this IQueryException to be created for).
    `msg` - The detail message.

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.